import maya.mel
from mtoa.ui.ae.shaderTemplate import ShaderAETemplate

class AEapHairBSDFTemplate(ShaderAETemplate):
    def setup(self):
        self.addSwatch()
        self.beginScrollLayout()
        self.beginLayout("BSDF Attribues", collapse=False)
        self.addControl('r_weight', label='R', annotation='Weight of R')
        self.addControl('tt_weight', label='TT', annotation='Weight of TT')
        self.addControl('trt_weight', label='TRT', annotation='Weight of TRT')
        self.addControl('roughness', label='Roughness', annotation='Specular roughness')
        self.addControl('eta', label='IOR', annotation='Refractive index of hair fiber')
        self.addControl('tilt', label='Tilt', annotation='Scale tilt angle')
        self.addControl('opacity', label='Opacity')
        self.endLayout()
        maya.mel.eval('AEdependNodeTemplate '+self.nodeName)
        self.addExtraControls()
        self.endScrollLayout()
        